<?php
extract( $this -> _data );
?>
<div>
<input type="<?php echo $type; ?>" name="<?php echo $name; ?>" id="<?php echo $name; ?>" value="<?php echo ( $type === 'submit' ) ? $text : $value; ?>"/>
<?php
	if ( in_array( $type , array( 'text' , 'passWord' , 'password' ) ) )
		{
			?>
			<label for="<?php echo $name; ?>"><?php echo $text; ?></label>
			<?php
		}
?>
</div>